org.eclipse.ease.debugging

## Class ScriptStackTrace

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.AbstractSequentialList<E>
      - - java.util.LinkedList<IScriptDebugFrame>
        - - org.eclipse.ease.debugging.ScriptStackTrace

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<IScriptDebugFrame>, java.util.Collection<IScriptDebugFrame>, java.util.Deque<IScriptDebugFrame>, java.util.List<IScriptDebugFrame>, java.util.Queue<IScriptDebugFrame>

    public class ScriptStackTrace
    extends java.util.LinkedList<IScriptDebugFrame>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScriptStackTrace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ScriptStackTrace` `clone()`

### Methods inherited from class java.util.LinkedList

`add, add, addAll, addAll, addFirst, addLast, clear, contains, descendingIterator, element, get, getFirst, getLast, indexOf, lastIndexOf, listIterator, offer, offerFirst, offerLast, peek, peekFirst, peekLast, poll, pollFirst, pollLast, pop, push, remove, remove, remove, removeFirst, removeFirstOccurrence, removeLast, removeLastOccurrence, set, size, spliterator, toArray, toArray`

### Methods inherited from class java.util.AbstractSequentialList

`iterator`

### Methods inherited from class java.util.AbstractList

`equals, hashCode, listIterator, subList`

### Methods inherited from class java.util.AbstractCollection

`containsAll, isEmpty, removeAll, retainAll, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, replaceAll, retainAll, sort, subList`

### Methods inherited from interface java.util.Deque

`iterator`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### ScriptStackTrace

    public ScriptStackTrace()

### Method Detail

#### clone

    public ScriptStackTrace clone()

Overrides:
  `clone` in class `java.util.LinkedList<IScriptDebugFrame>`